Bug 1277422 - Badly show window header when exception has many lines of text
Badly show window header when exception has many lines of text
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
24
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 04:53 EST by Jiri Konecny
Modified: 2017-08-08 08:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:21:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bad header screenshot (53.73 KB, image/png)
2015-11-03 04:54 EST, Jiri Konecny
no flags Details
Good header screenshot (28.99 KB, image/png)
2015-11-03 04:55 EST, Jiri Konecny
no flags Details
DNF example exception (21.62 KB, text/plain)
2015-11-03 04:56 EST, Jiri Konecny
no flags Details

  None (edit)
Description Jiri Konecny 2015-11-03 04:53:47 EST
Description of problem:
When error is showed and the error have more lines of description text then no text is visible in header of gtk window where user add additional info. Also the window is higher and from some point the buttons on the bottom can't be clicked because user don't see them. 
I have bad feeling something similar is happening when the description text will be too long.

Version-Release number of selected component (if applicable):
libreport-2.6.3-1.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
I'm having this issue with DNF error in anaconda installer but the error which caused the exception is fixed now. I can test it but it shouldn't be so hard to reproduce this issue in some lab environment.

Actual results:
Don't see header with bug description. Also on some number of lines in the description user can't confirm the dialog.

Expected results:
The window header should show first line or only few first characters without a newlines.

Additional info:
I'm attaching screenshots with the problem and the exception which the DNF is raising.
Comment 1 Jiri Konecny 2015-11-03 04:54 EST
Created attachment 1088851 [details]
bad header screenshot
Comment 2 Jiri Konecny 2015-11-03 04:55 EST
Created attachment 1088852 [details]
Good header screenshot

Should look like this
Comment 3 Jiri Konecny 2015-11-03 04:56 EST
Created attachment 1088853 [details]
DNF example exception
Comment 4 Jan Kurik 2016-02-24 08:54:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Fedora End Of Life 2017-07-25 15:25:52 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-08-08 08:21:05 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.